using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 设备合计数据
    /// </summary>
    [SugarTable("YB_EquRealData", TableDescription = "设备合计数据", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_EquRealData
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 设备ID
        /// </summary>
        [SugarColumn(ColumnDescription = "设备ID")]
        public System.Int32 EquId { get; set; }

        /// <summary>
        /// 设备所属客户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "设备所属客户ID")]
        public System.Int32 BusinessId { get; set; }

        /// <summary>
        /// 今日称重次数
        /// </summary>
        [SugarColumn(ColumnDescription = "今日称重次数")]
        public System.Int32 TodayResultCnt { get; set; }

        /// <summary>
        /// 累计称重数量
        /// </summary>
        [SugarColumn(ColumnDescription = "累计称重数量")]
        public System.Int32 TotalResultCnt { get; set; }

        /// <summary>
        /// 今日关注数量
        /// </summary>
        [SugarColumn(ColumnDescription = "今日关注数量")]
        public System.Int32 TodayRealCnt { get; set; }

        /// <summary>
        /// 累计关注次数
        /// </summary>
        [SugarColumn(ColumnDescription = "累计关注次数")]
        public System.Int32 TotalRealCnt { get; set; }

        /// <summary>
        /// 今日收益,单位为分
        /// </summary>
        [SugarColumn(ColumnDescription = "今日收益,单位为分", ColumnDataType = "decimal(18,2)")]
        public System.Decimal TodayInCome { get; set; }

        /// <summary>
        /// 累计收益
        /// </summary>
        [SugarColumn(ColumnDescription = "累计收益",ColumnDataType ="decimal(18,2)")]
        public System.Decimal TotalInCome { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public System.DateTime CreateTime { get; set; }
    }
}
